View Issue Details

IDProjectCategoryView StatusLast Update
0001648Industrial-Craft²machinespublic2015-07-29 11:40
ReporterSanchoAssigned ToAroma1997 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformPCOSWindows 7OS Version
Product Version 
Target VersionFixed in VersionBuilds for MC 1.7.10 
Summary0001648: NullPointerException in loader
DescriptionAfter updating to version 752, all machines containing Redstone Signal Inverter Upgrades throw an exception. The server continues without crashing, but all upgrades disappear from those machines (including other kinds of upgrades). The error mentions ChickenChunks, but I don't think it is related. Log attached.
Steps To Reproduce1) on version 751 or below, insert a redstone signal inverter upgrade into a machine
2) stop the server
3) upgrade to 752
4) start the server
Additional Information[14:10:19] [Server thread/ERROR] [FML/]: A TileEntity Mass Fabricator(ic2.core.block.machine.tileentity.TileEntityMatter) has thrown an exception during loading, its state cannot be restored. Report this to the mod author
java.lang.NullPointerException
    at ic2.core.block.comp.Redstone.update(Redstone.java:27) ~[Redstone.class:?]
    at ic2.core.block.comp.Redstone.setRedstoneModifier(Redstone.java:48) ~[Redstone.class:?]
    at ic2.core.block.invslot.InvSlotUpgrade.onChanged(InvSlotUpgrade.java:68) ~[InvSlotUpgrade.class:?]
    at ic2.core.block.invslot.InvSlot.put(InvSlot.java:121) ~[InvSlot.class:?]
    at ic2.core.block.invslot.InvSlot.readFromNbt(InvSlot.java:80) ~[InvSlot.class:?]
    at ic2.core.block.TileEntityInventory.func_145839_a(TileEntityInventory.java:57) ~[TileEntityInventory.class:?]
    at ic2.core.block.machine.tileentity.TileEntityElectricMachine.func_145839_a(TileEntityElectricMachine.java:57) ~[TileEntityElectricMachine.class:?]
    at ic2.core.block.TileEntityLiquidTankElectricMachine.func_145839_a(TileEntityLiquidTankElectricMachine.java:25) ~[TileEntityLiquidTankElectricMachine.class:?]
    at ic2.core.block.machine.tileentity.TileEntityMatter.func_145839_a(TileEntityMatter.java:104) ~[TileEntityMatter.class:?]
    at net.minecraft.tileentity.TileEntity.func_145827_c(TileEntity.java:116) [aor.class:?]
    at net.minecraft.world.chunk.storage.AnvilChunkLoader.loadEntities(AnvilChunkLoader.java:496) [aqk.class:?]
    at net.minecraftforge.common.chunkio.ChunkIOProvider.callStage2(ChunkIOProvider.java:41) [ChunkIOProvider.class:?]
    at net.minecraftforge.common.chunkio.ChunkIOProvider.callStage2(ChunkIOProvider.java:12) [ChunkIOProvider.class:?]
    at net.minecraftforge.common.util.AsynchronousExecutor.skipQueue(AsynchronousExecutor.java:344) [AsynchronousExecutor.class:?]
    at net.minecraftforge.common.util.AsynchronousExecutor.getSkipQueue(AsynchronousExecutor.java:302) [AsynchronousExecutor.class:?]
    at net.minecraftforge.common.chunkio.ChunkIOExecutor.syncChunkLoad(ChunkIOExecutor.java:12) [ChunkIOExecutor.class:?]
    at net.minecraft.world.gen.ChunkProviderServer.loadChunk(ChunkProviderServer.java:126) [ms.class:?]
    at net.minecraft.world.gen.ChunkProviderServer.func_73158_c(ChunkProviderServer.java:101) [ms.class:?]
    at net.minecraft.world.gen.ChunkProviderServer.func_73154_d(ChunkProviderServer.java:199) [ms.class:?]
    at net.minecraft.world.World.func_72964_e(World.java:419) [ahb.class:?]
    at net.minecraft.world.World.func_147439_a(World.java:345) [ahb.class:?]
    at net.minecraft.world.World.func_72879_k(World.java:3361) [ahb.class:?]
    at net.minecraft.world.World.func_94577_B(World.java:3407) [ahb.class:?]
    at net.minecraft.world.World.func_72878_l(World.java:3424) [ahb.class:?]
    at buildcraft.transport.BlockGenericPipe.getRedstoneInputToPipe(BlockGenericPipe.java:553) [BlockGenericPipe.class:?]
    at buildcraft.transport.BlockGenericPipe.func_149695_a(BlockGenericPipe.java:522) [BlockGenericPipe.class:?]
    at net.minecraft.world.World.func_147460_e(World.java:697) [ahb.class:?]
    at ic2.core.energy.EnergyNetLocal.addTileEntity(EnergyNetLocal.java:181) [EnergyNetLocal.class:?]
    at ic2.core.energy.EnergyNetLocal.addTileEntity(EnergyNetLocal.java:66) [EnergyNetLocal.class:?]
    at ic2.core.energy.EventHandler.onEnergyTileLoad(EventHandler.java:28) [EventHandler.class:?]
    at cpw.mods.fml.common.eventhandler.ASMEventHandler_32_EventHandler_onEnergyTileLoad_EnergyTileLoadEvent.invoke(.dynamic) [?:?]
    at cpw.mods.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:54) [ASMEventHandler.class:?]
    at cpw.mods.fml.common.eventhandler.EventBus.post(EventBus.java:138) [EventBus.class:?]
    at ic2.core.block.wiring.TileEntityCable.onLoaded(TileEntityCable.java:157) [TileEntityCable.class:?]
    at ic2.core.block.TileEntityBlock$1.tickCallback(TileEntityBlock.java:56) [TileEntityBlock$1.class:?]
    at ic2.core.TickHandler.processTickCallbacks(TickHandler.java:175) [TickHandler.class:?]
    at ic2.core.TickHandler.onWorldTick(TickHandler.java:60) [TickHandler.class:?]
    at cpw.mods.fml.common.eventhandler.ASMEventHandler_13_TickHandler_onWorldTick_WorldTickEvent.invoke(.dynamic) [?:?]
    at cpw.mods.fml.common.eventhandler.ASMEventHandler.invoke(ASMEventHandler.java:54) [ASMEventHandler.class:?]
    at cpw.mods.fml.common.eventhandler.EventBus.post(EventBus.java:138) [EventBus.class:?]
    at cpw.mods.fml.common.FMLCommonHandler.onPreWorldTick(FMLCommonHandler.java:268) [FMLCommonHandler.class:?]
    at net.minecraft.server.MinecraftServer.func_71190_q(MinecraftServer.java:620) [MinecraftServer.class:?]
    at net.minecraft.server.dedicated.DedicatedServer.func_71190_q(DedicatedServer.java:334) [lt.class:?]
    at net.minecraft.server.MinecraftServer.func_71217_p(MinecraftServer.java:547) [MinecraftServer.class:?]
    at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:427) [MinecraftServer.class:?]
    at net.minecraft.server.MinecraftServer$2.run(MinecraftServer.java:685) [li.class:?]
TagsNo tags attached.
Minecraft Version

Relationships

related to 0001655 resolvedAroma1997 2 bugs 

Activities

Sancho

2015-07-20 09:31

reporter  

fml-server-3.log (299,298 bytes)

Chocohead

2015-07-20 20:38

developer   ~0003977

Player changed a lot of both the upgrade and redstone mechanics in 752, this must be a side effect.

Sancho

2015-07-22 05:47

reporter   ~0003987

Not sure if this was intended to be fixed in 755, but I can confirm the problem persists.

oks1998

2015-07-22 10:41

reporter   ~0003989

i also got this crash report:
http://openeye.openmods.info/crashes/b4b2955ef2bd9bc2611c304c59614b54

i using 754 version

Chocohead

2015-07-22 12:59

developer   ~0003992

Does this happen when you have machines with redstone signal inverters added after build 751? That will determine whether they're completely broken or just broken updating.

Sancho

2015-07-22 14:42

reporter   ~0003998

Reproduced per suggestion above.

1) Updated to 755. Addons disappeared.
2) re-added the redstone signal inverters and other addons
3) stopped the server
4) restarted the server. NullPointerExceptions again. Addons disappeared again.

Chocohead

2015-07-22 14:45

developer   ~0003999

Yeah, it's confirmed by multiple people redstone signal inverters are broken and it's not just updating past 751 that is causing it once.

Chocohead

2015-07-22 15:26

developer   ~0004005

Related to 0001655

oks1998

2015-07-23 07:49

reporter   ~0004009

I even didn't put the redstone signal inverter inside the machine

Dockter

2015-07-25 00:41

reporter   ~0004023

I can confirm we are getting the exact same NPE.

Sancho

2015-07-29 11:40

reporter   ~0004050

Confirmed fixed in 757.

Issue History

Date Modified Username Field Change
2015-07-20 09:31 Sancho New Issue
2015-07-20 09:31 Sancho File Added: fml-server-3.log
2015-07-20 20:38 Chocohead Note Added: 0003977
2015-07-22 05:47 Sancho Note Added: 0003987
2015-07-22 10:41 oks1998 Note Added: 0003989
2015-07-22 12:59 Chocohead Note Added: 0003992
2015-07-22 14:42 Sancho Note Added: 0003998
2015-07-22 14:45 Chocohead Note Added: 0003999
2015-07-22 15:26 Chocohead Note Added: 0004005
2015-07-22 15:28 Aroma1997 Relationship added related to 0001655
2015-07-22 15:29 Aroma1997 Status new => confirmed
2015-07-23 07:49 oks1998 Note Added: 0004009
2015-07-25 00:41 Dockter Note Added: 0004023
2015-07-28 18:05 Aroma1997 Status confirmed => resolved
2015-07-28 18:05 Aroma1997 Fixed in Version => Builds for MC 1.7.10
2015-07-28 18:05 Aroma1997 Resolution open => fixed
2015-07-28 18:05 Aroma1997 Assigned To => Aroma1997
2015-07-29 11:40 Sancho Note Added: 0004050